
#include "ConnexionWOL.h"


//-----------------------------------------------------------------------------
// Name: WinMain()
// Desc: Initialization, message loop
//-----------------------------------------------------------------------------
int PASCAL WinMain(HINSTANCE hInstance,
        HINSTANCE hPrevInstance,
#ifdef UNDER_CE
        LPWSTR lpCmdLine,
#else
        LPSTR lpCmdLine,
#endif
        int nCmdShow)
{

	//////////////////////////////////////////////////////////////////////////
	//first start sockets :
	WSADATA WSAData;
	int error = WSAStartup (0x0202, &WSAData);//start sockets...
	if (error)
		LocalisedString::explainFail(L"Can't start socket...",L"WSAStartup error");
	if (WSAData.wVersion != 0x0202)
		LocalisedString::explainFail(L"Wrong version number...",L"WSAStartup error");


	ConnexionWOL* cWOL=new ConnexionWOL(hInstance,false);
	cWOL->runApp();



	delete cWOL;
	WSACleanup();

    return 0;
}
